#pragma once


#ifndef __BASETOOLBOX__SARSATALLITESIMULATIONWORKFLOW__H__
#define __BASETOOLBOX__SARSATALLITESIMULATIONWORKFLOW__H__


/**
 * \file   SARSatalliteSimulationWorkflow.h
 * \brief  大场景仿真处理菜单处理
 *
 * \author 30453
 * \date   April 2025
 *
 **/
#include "basetoolbox_global.h"
#include "ToolBoxWidget.h"


extern "C" BASETOOLBOX_EXPORT void initBaseToolSARSateSimulationWorkflow(ToolBoxWidget* toolbox);

 


class  BASETOOLBOX_EXPORT TLE2SatePositionVelocityToolButton : public QToolAbstract {
	Q_OBJECT
public:
	TLE2SatePositionVelocityToolButton(QWidget* parent = nullptr);
	~TLE2SatePositionVelocityToolButton();
public:
	virtual void run() override;

};



class  BASETOOLBOX_EXPORT QAligendLandClsAndDEMToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QAligendLandClsAndDEMToolButton(QWidget* parent = nullptr);
	~QAligendLandClsAndDEMToolButton();
public    :
	virtual void run() override;

};

class  BASETOOLBOX_EXPORT QDEMLLA2XYZSloperVectorToolButton : public QToolAbstract {
	Q_OBJECT
public:
	QDEMLLA2XYZSloperVectorToolButton(QWidget* parent = nullptr);
	~QDEMLLA2XYZSloperVectorToolButton();
public:
	virtual void run() override;

};

 

 

#endif



